Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.frames
Class MimeTypeAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.SimpleAttribute
                  |
                  +--org.w3c.jigsaw.frames.MimeTypeAttribute

public class MimeTypeAttribute
extends SimpleAttribute

The generic class of Mime type attributes.

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`MimeTypeAttribute()`
`MimeTypeAttribute(java.lang.String name, java.lang.Object def, int flags)`

Method Summary
`boolean` | `checkValue(java.lang.Object obj)` Is the given object a valid MimeTypeAttribute value ?
`java.lang.String` | `pickle(java.lang.Object obj)` Pickle an attribute into a String.
`java.lang.Object` | `unpickle(java.lang.String value)` Unpickle an attribute from a string.

Methods inherited from class org.w3c.tools.resources.SimpleAttribute
`stringify`

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getFlag, getName, getType, setFlag, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeTypeAttribute

    public MimeTypeAttribute(java.lang.String name,
                             java.lang.Object def,
                             int flags)

### MimeTypeAttribute

    public MimeTypeAttribute()

Method Detail

### checkValue

    public boolean checkValue(java.lang.Object obj)

  Is the given object a valid MimeTypeAttribute value ?
  Overrides:
    checkValue in class Attribute
  Parameters:
    `obj` - The object to test.
  Returns:
    A boolean true if okay.

### pickle

    public java.lang.String pickle(java.lang.Object obj)

  Description copied from class: SimpleAttribute
  Pickle an attribute into a String.
  Overrides:
    pickle in class SimpleAttribute
  Tags copied from class: SimpleAttribute
  Parameters:
    `array` - the attribute
  Returns:
    a String.

### unpickle

    public java.lang.Object unpickle(java.lang.String value)

  Description copied from class: SimpleAttribute
  Unpickle an attribute from a string.
  Overrides:
    unpickle in class SimpleAttribute
  Tags copied from class: SimpleAttribute
  Parameters:
    `array` - the String.
  Returns:
    a Object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD